package com.goafanti.message.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

public class AppMessageBo {
	private String id;
	private String title;
	private String body;
	private Date createTime;
	private Date sendTime;
	private Boolean isRead ;
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Boolean getIsRead() {
		return isRead;
	}
	public void setIsRead(Boolean isRead) {
		this.isRead = isRead;
	}
	public String getBody() {
		return body;
	}
	public void setBody(String body) {
		this.body = body;
	}
	public Date getSendTime() {
		return sendTime;
	}
	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}
	public String getSendTimeFormattedDate() {
		if (this.sendTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getSendTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	
}
